server:
  port: 8300

spring:
  profiles:
    active: ${APP_PROFILE:dev}
  application:
    name: atu-execute-plan

  datasource:
    name: Hikari-CCTP
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.77.26:3306/atu_execute_plan?allowMultiQueries=true&useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
    username: northking
    password: northking@002987
    #    initialization-mode: always
    #    schema: classpath:db/mysql/schema/*.sql
    #    data: classpath:db/mysql/data/*.sql
    hikari:
      minimum-idle: 2
      maximum-pool-size: 5
      auto-commit: true
  redis:
    host: 192.168.77.26
    port: 6379
    password: northking@002987
    database: 1
    lettuce:
      pool:
        max-active: 2
        max-idle: 2
  rabbitmq:
    host: 172.16.77.26
    port: 5672
    virtual-host: cloud
    username: cloud
    password: 123456
    publisher-confirm-type: correlated
    listener:
      simple:
        acknowledge-mode: manual
      direct:
        acknowledge-mode: manual
  mail:
    host: mail.northking.net
    username: rpaconsole@northking.net
    # SMTP授权密码
    password: '@VPhyAe9'
    port: 25
    protocol: smtp
    default-encoding: UTF-8

  jackson:
    serialization:
      write-dates-as-timestamps: true


logging:
  config: classpath:logback-rabbitmq.xml

mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mybatis/**/*.xml
  type-aliases-package: net.northking.cctp.executePlan.db.entity
  configuration-properties:
    defaultSchema: atu_execute_plan
